通用高质量视频生成模型,兼顾文本理解、画面质量与稳定性。
doubao-seedance-1-0-pro-250528
当前模型通过统一视频生成接口接入,创建任务后可轮询查询任务状态。
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
| model | string | 是 | 模型 ID,固定为当前模型的 model_id。 |
| content | array | 是 | 输入内容数组,包含文本对象或图片对象。 |
| resolution | string | 否 | 分辨率,可选 480p、720p、1080p。 |
| ratio | string | 否 | 画幅比例,可选 16:9、9:16、1:1、4:3、3:4、21:9、adaptive。 |
| duration | integer | 否 | 视频时长,单位秒。 |
| seed | integer | 否 | 随机种子,设为 -1 表示随机。 |
| camera_fixed | boolean | 否 | 是否固定镜头。 |
| watermark | boolean | 否 | 是否添加水印。 |
| return_last_frame | boolean | 否 | 是否返回尾帧图像。 |
| service_tier | string | 否 | 服务等级,可选 default 或 flex。 |
{
"type": "text",
"text": "描述期望生成的视频内容"
}
{
"type": "image_url",
"image_url": {
"url": "https://example.com/first-frame.png"
},
"role": "first_frame"
}
curl -X POST https://api.xzzgm.cn/api/v1/video/generations \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"model": "doubao-seedance-1-0-pro-250528",
"content": [
{
"type": "text",
"text": "一只白色狐狸在雪地中奔跑,远景航拍,清晨冷色调。"
}
],
"ratio": "16:9",
"duration": 5
}'